Package org.gradle.api.plugins

## Interface ExtensionsSchema

- All Superinterfaces:
    `java.lang.Iterable<ExtensionsSchema.ExtensionSchema>`, `NamedDomainObjectCollectionSchema`

      public interface ExtensionsSchema
      extends NamedDomainObjectCollectionSchema, java.lang.Iterable<ExtensionsSchema.ExtensionSchema>

  Schema of extensions.
  Since:
    4.5
  See Also:
    `ExtensionContainer`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `ExtensionsSchema.ExtensionSchema` | Schema of an extension.

    - ### Nested classes/interfaces inherited from interface org.gradle.api.NamedDomainObjectCollectionSchema

      `NamedDomainObjectCollectionSchema.NamedDomainObjectSchema`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Iterable<ExtensionsSchema.ExtensionSchema>` | `getElements()` | Returns an iterable of the schemas for each element in the collection.

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

- - ### Method Detail

    - #### getElements

          java.lang.Iterable<ExtensionsSchema.ExtensionSchema> getElements()

      Returns an iterable of the schemas for each element in the collection.
      Specified by:
        `getElements` in interface `NamedDomainObjectCollectionSchema`